Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 10 Feb 2017 15:21:33 -0500

On 2017-02-10 11:58, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Fri, 10 Feb 2017 11:45:55 -0500
>>
>>>>> I believe changing the program behavior depending on how it was named
>>>>> in the command that invoked it is against GNU coding standards.
>>>>
>>>> What about providing elisp or emacs-script as a separate binary?
>>>
>>> What about it?
>>
>> Would that be OK? Could it work?
> 
> Yes, it will.  Although distributing two large binaries might be
> overkill.  (All that just to make shell scripts slightly simpler?)

Right; that's why I thought the "two possible names for the same binary" approach was nice :/
It would make it possible to run elisp command line programs in Windows without a batch script wrapper, and it would make these scripts nicer in GNU/Linux and macOS.  But arguably that's still a limited benefit.  If there's no way to reuse the Emacs binary (that is, if there's no way to make "elisp" just be a wrapper around "emacs"), then I think we should close this issue.

Cheers,
Clément.